Interface Technology Basics VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IErrorContext Class Referenceabstract

Interface for error handling. More...

`#include <ierrorcontext.h>`

Inheritance diagram for IErrorContext:

## Public Member Functions
virtual void | disableErrorUI (bool state)=0
| Tells the plug-in to not show any UI elements on errors. More...
virtual tresult | errorMessageShown ()=0
| If an error happens and disableErrorUI was not set this should return kResultTrue if the plug-in already showed a message to the user what happened. More...
virtual tresult | getErrorMessage (IString *message)=0
| Fill message with error string. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface. More...
virtual uint32 | addRef ()=0
| Adds a reference and return the new reference count. More...
virtual uint32 | release ()=0
| Releases a reference and return the new reference count. More...

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Interface for error handling.

[plug imp]
[released: Sequel 2]

## Member Function Documentation

virtual void disableErrorUI | ( | bool | state | ) |
| pure virtual

Tells the plug-in to not show any UI elements on errors.

virtual tresult errorMessageShown | ( |  | ) |
| pure virtual

If an error happens and disableErrorUI was not set this should return kResultTrue if the plug-in already showed a message to the user what happened.

virtual tresult getErrorMessage | ( | IString * | message | ) |
| pure virtual

Fill message with error string.

The host may show this to the user.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.